Version 6.7.7 Source

Table Name: `tabBatch`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `batch_id` | Data | Batch ID |
2 | `item` | Link | Item | Item
3 | `column_break_3` | Column Break |  |
4 | `expiry_date` | Date | Expiry Date |
5 | `section_break_7` | Section Break |  |
6 | `description` | Small Text | Batch Description |

### Controller

#### erpnext.stock.doctype.batch.batch

### Class Batch

Inherits from frappe.model.document.Document

item_has_batch_enabled (self)

No docs

validate (self)

No docs

#### Linked In:

- Delivery Note Item
- Packed Item
- Packing Slip Item
- Purchase Receipt Item
- Purchase Receipt Item Supplied
- Quality Inspection
- Sales Invoice Item
- Stock Entry Detail